#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	%{_arch}-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	perl-HTML-Parser
Version		:	3.72
Release		:	14.4.0.0%{?dist}
Summary		:	Perl extension to Encode or decode strings with HTML entities
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/HTML::Entities

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl
BuildRequires	:	perl-HTML-Tagset

Requires	:	perl
Requires	:	perl-HTML-Tagset
#-----------------------------------------------------------------------------
%description
This is an HTTP request parser. It takes chunks of text as received
and returns a 'hint' as to what is required, or returns the
HTTP::Request when a complete request has been read. HTTP/1.1 chunking
is supported. It dies if it finds an error.
#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}								\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%check
%{__make} test
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-name \*.so							\
	-type f -exec chmod u+w {} \;

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README
%{_libdir}/perl5/%{perlvers}/core_perl/HTML/*.pm
%{_libdir}/perl5/%{perlvers}/core_perl/auto/HTML/Parser/Parser.so
%{_mandir}/man3/*.3.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


#-----------------------------------------------------------------------------
%changelog
